Add whole conversations to a collection

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://docs.usehearsay.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "integrations MCP server": {
    "url": "https://docs.usehearsay.com/mcp"
  }
}

Close
PATCH /case/collections/{caseId}/{collectionId}/add-all

Adds every message of the given conversations (up to 100) to the collection.

Headers

  • organization string Required

    id of the selected (active) organization

Path parameters

  • caseId string Required

    Id of the case

  • collectionId string Required

    Id of the collection

application/json

Body Required

  • sortOrder string

    Values are asc or desc. Default value is asc.

  • conversations array[string] Required

    Array of conversation ids

    At least 1 but not more than 100 elements.

  • sortBy string

    Values are sentAt or date. Default value is date.

Responses

  • 200 application/json
    Hide response attributes Show response attributes object
    • data object Required
      Hide data attributes Show data attributes object
      • createdAt string(date-time) Required
      • updatedAt string(date-time) Required
      • id string Required
      • name string Required
      • slug string Required
      • case string | null Required
      • user string Required

        Id of the user who created the collection

      • lastUpdatedBy string | null Required
      • archivedAt string(date-time) | null Required
      • archivedBy string | null Required
    • statusCode number Required
    • timestamp string(date-time) Required
PATCH /case/collections/{caseId}/{collectionId}/add-all
curl \
 --request PATCH 'http://api.example.com/case/collections/{caseId}/{collectionId}/add-all' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "organization: string" \
 --data '{
  "sortOrder": "asc",
  "conversations": [
    "string"
  ],
  "sortBy": "date"
}'
Request examples
# Headers
organization: string

# Payload
{
  "sortOrder": "asc",
  "conversations": [
    "string"
  ],
  "sortBy": "date"
}
Response examples (200)
{
  "data": {
    "createdAt": "2026-01-15T14:30:00.000Z",
    "updatedAt": "2026-01-15T14:30:00.000Z",
    "id": "507f1f77bcf86cd799439011",
    "name": "Key messages",
    "slug": "key-messages",
    "case": "507f1f77bcf86cd799439011",
    "user": "507f1f77bcf86cd799439011",
    "lastUpdatedBy": "507f1f77bcf86cd799439011",
    "archivedAt": "2026-05-04T09:42:00Z",
    "archivedBy": "string"
  },
  "statusCode": 200,
  "timestamp": "2026-01-15T10:15:00.000Z"
}